import request from '@/utils/request'

// 查询关键字列表
export function listFastgptChatKeyword(query) {
  return request({
    url: '/fastGpt/fastGptChatKeyword/list',
    method: 'get',
    params: query
  })
}

// 查询关键字详细
export function getFastgptChatKeyword(keywordId) {
  return request({
    url: '/fastGpt/fastGptChatKeyword/' + keywordId,
    method: 'get'
  })
}

// 新增关键字
export function addFastgptChatKeyword(data) {
  return request({
    url: '/fastGpt/fastGptChatKeyword',
    method: 'post',
    data: data
  })
}

// 修改关键字
export function updateFastgptChatKeyword(data) {
  return request({
    url: '/fastGpt/fastGptChatKeyword',
    method: 'put',
    data: data
  })
}

// 删除关键字
export function delFastgptChatKeyword(keywordId) {
  return request({
    url: '/fastGpt/fastGptChatKeyword/' + keywordId,
    method: 'delete'
  })
}

// 导出关键字
export function exportFastgptChatKeyword(query) {
  return request({
    url: '/fastGpt/fastGptChatKeyword/export',
    method: 'get',
    params: query
  })
}
